# Interface ICefPreferenceManager

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefPreferenceManager = interface(ICefBaseRefCounted)`

## Description

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_manager_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefPreferenceManager

## Overview

### Methods

| `function HasPreference(const name: ustring): Boolean;`
| `function GetPreference(const name: ustring): ICefValue;`
| `function GetAllPreferences(includeDefaults: Boolean): ICefDictionaryValue;`
| `function CanSetPreference(const name: ustring): Boolean;`
| `function SetPreference(const name: ustring; const value: ICefValue; out error: ustring): Boolean;`
| `function AddPreferenceObserver(const name: ustring; const observer: ICefPreferenceObserver): ICefRegistration;`

## Description

### Methods

| `function HasPreference(const name: ustring): Boolean;`
Returns true (1) if a preference with the specified |name| exists. This function must be called on the browser process UI thread. ###### Attributes GUID['{E8231D35-D028-4E64-BFDB-7E4596027DEC}']

| `function GetPreference(const name: ustring): ICefValue;`
Returns the value for the preference with the specified |name|. Returns NULL if the preference does not exist. The returned object contains a copy of the underlying preference value and modifications to the returned object will not modify the underlying preference value. This function must be called on the browser process UI thread.

| `function GetAllPreferences(includeDefaults: Boolean): ICefDictionaryValue;`
Returns all preferences as a dictionary. If |include_defaults| is true (1) then preferences currently at their default value will be included. The returned object contains a copy of the underlying preference values and modifications to the returned object will not modify the underlying preference values. This function must be called on the browser process UI thread.

| `function CanSetPreference(const name: ustring): Boolean;`
Returns true (1) if the preference with the specified |name| can be modified using SetPreference. As one example preferences set via the command-line usually cannot be modified. This function must be called on the browser process UI thread.

| `function SetPreference(const name: ustring; const value: ICefValue; out error: ustring): Boolean;`
Set the |value| associated with preference |name|. Returns true (1) if the value is set successfully and false (0) otherwise. If |value| is NULL the preference will be restored to its default value. If setting the preference fails then |error| will be populated with a detailed description of the problem. This function must be called on the browser process UI thread.

| `function AddPreferenceObserver(const name: ustring; const observer: ICefPreferenceObserver): ICefRegistration;`
Add an observer for preference changes. |name| is the name of the preference to observe. If |name| is NULL then all preferences will be observed. Observing all preferences has performance consequences and is not recommended outside of testing scenarios. The observer will remain registered until the returned Registration object is destroyed. This function must be called on the browser process UI thread.

Generated by PasDoc 0.16.0-snapshot.